#ifndef __Data_h__
#define __Data_h__

#include "Metadata.h"
#include <string>
#include <stdint.h>

class Data : public Metadata {
public:
	Data(const std::string& t, const std::string& n, 
	     unsigned long s, unsigned long l) :
	     Metadata(t, s, l), name(n) {};
	inline std::string get_name(void) const { return name; };
	virtual unsigned long format_data(const uint8_t* buff, 
					  unsigned long len) = 0;
protected:
	std::string name;
};

#endif // __Data_h__
