#ifndef __FormatHandler_h__
#define __FormatHandler_h__

#include <vector>
#include <stdint.h>

class Data;

class FormatHandler {
public:
	FormatHandler();
	~FormatHandler();
	void format(uint8_t* rawdata, unsigned long len);
	inline const std::vector<Data*>& get_data_vector(void) const 
						{return data_vector;};
private:
	std::vector<Data*> data_vector;
};

#endif // __FormatHandler_h__
